Package org.eclipse.net4j.util.cache

# Interface ICacheRegistration

All Superinterfaces:
  `ICacheProbe`

All Known Implementing Classes:
  `CacheRegistration`

public interface ICacheRegistration extends ICacheProbe

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`ICache`
`getCache()`
`ICacheMonitor`
`getCacheMonitor()`

### Methods inherited from interface org.eclipse.net4j.util.cache.ICacheProbe

`elementCached, elementEvicted, elementReconstructed, getAverageElementSize, getCacheSize, getElementCount, getReconstructionCost, isDisposed`

## Method Details

### getCacheMonitor

ICacheMonitor getCacheMonitor()

### getCache

ICache getCache()

### dispose

void dispose()